Subject: bug#76195: Obsoleting mail/hashcash.el

From: Bill Wohler <[email-masked]>
Date: Tue, 11 Feb 2025 19:47:53 -0800

Thanks, Stefan. No objections from me (MH-E).

You don't need to remove the following line in mh-e.el (in Emacs). It is
in a list of invisible header fields and does not depend on the hashcash
package in Emacs.

    "X-Hashcash:"                       ; hashcash

Stefan Kangas <[email-masked]> wrote:

> Stefan Kangas <[email-masked]> writes:
> 
> > Severity: wishlist
> >
> > The mail/hashcash.el library implements an Emacs wrapper around
> > hashcash, where the idea was that you added a small amount of "proof of
> > work" to an Email header, which if everyone used it would be expensive
> > for spammers:
> >
> >      "The email anti-spam tool, like the proof-of-work algorithm, is
> >      also called hashcash and is used to create stamps to attach to mail
> >      to add a micro-cost to sending mail to deter spamming.  The main
> >      use of the hashcash stamp is as a white-listing hint to help
> >      hashcash users avoid losing email due to content based and
> >      blacklist based anti-spam systems."  - http://www.hashcash.org
> >
> > This might be nice in theory, but it is irrelevant as an anti-spam
> > measure on today's internet, since almost no one uses it.  Let's not
> > mislead users to waste energy using it.
> >
> > I suggest that we mark it as obsolete.
> 
> I'm Cc'ing Gnus, MH-E, Notmuch (third-party), and mu4e (third-party)
> developers, in case they have any comments.
> 

-- 
Bill Wohler <[email-masked]> aka <[email-masked]>
http://www.newt.com/wohler/, GnuPG ID:610BD9AD